package org.j69.eewiki.wiki.tag;

import org.j69.eewiki.util.WebUtil;
import org.j69.eewiki.wiki.transformer.DataTag;

/**
 * Escape Data Tag
 * @author <a href="mailto:agata@mobster.jp">Toshitaka Agata</a>
 * @version $Revision: 1.3 $ $Date: 2003/06/30 17:07:44 $
 */
public class EscapeDataTag implements DataTag {
    /**
     * @see jp.mobster.webapp.wiki.transform.DataTag#get()
     */
    public String get(String pageData) {
        String tmp = null;
        tmp = WebUtil.escapeChar(pageData);
        return WebUtil.escapeSpace(tmp);
    }
}
